Bug 494411 - X dies on VT switch
X dies on VT switch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 496648 509304 511887 (view as bug list)
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-06 14:59 EDT by Zack Cerza
Modified: 2013-01-10 00:09 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 15:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2009-04-06 14:59:11 EDT
Description of problem:
I have a Thinkpad X200 with a 965:

00:02.1 0380: 8086:2a43 (rev 07)

X is somehow dying when I switch VTs (so that includes on suspend/resume). The logs are clean, so I'm not sure what information to provide here.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-1.fc11.x86_64
Comment 1 François Cami 2009-04-10 19:42:15 EDT
    Please attach your X server config file (/etc/X11/xorg.conf), X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual uncompressed text/plain file attachments.

    Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please. 

    If your card is using KMS, please try the nomodeset kernel parameter at boot to see if it improves things, and include dmesg and /var/log/Xorg.0.log from this attempt as well.

    We will review this issue again once you've had a chance to attach this information. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-06-09 09:21:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Philippe Troin 2009-07-13 09:48:49 EDT
I'm been struggling with the same problems.
After spending a lot of time on the issue, I found out that:

a. Either you enable EXA in /etc/X11/xorg.conf (and disable UXA)

OR

b. You have to upgrade to xorg-x11-drv-intel-2.7.99.901, which is not packaged yet.  Plan b also requires a couple of kernel patches if you want to use AIGLX/compiz.

Phil.
Comment 4 Philippe Troin 2009-07-13 09:50:20 EDT
By the way, when dying, X logs the following message:

Xorg: i830_batchbuffer.h:78: intel_batch_emit_dword: Assertion `pI830->batch_ptr != ((void *)0)' failed.

You can find that in /var/log/gdm/:0.log.

Phil.
Comment 5 Stanislaw Gruszka 2009-07-16 04:58:42 EDT
*** Bug 511887 has been marked as a duplicate of this bug. ***
Comment 6 Matěj Cepl 2009-07-24 07:57:46 EDT
*** Bug 509304 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2009-07-24 07:57:55 EDT
*** Bug 496648 has been marked as a duplicate of this bug. ***
Comment 8 Matěj Cepl 2009-07-24 08:00:56 EDT
Could anybody provide information required in the comment 1, please?
Comment 9 Amit Shah 2009-07-24 08:16:01 EDT
All the three bugs that are marked duplicate have xorg.0.log files.

This was my Xorg.0.log (without any xorg.conf)

https://bugzilla.redhat.com/attachment.cgi?id=350245

No interesting output in the kernel log for me. Details in

https://bugzilla.redhat.com/show_bug.cgi?id=509304
Comment 10 Matěj Cepl 2009-07-24 08:49:04 EDT
(In reply to comment #9)
> All the three bugs that are marked duplicate have xorg.0.log files.

Sorry, true, of course:

Bug 496648 attachment 340349 [details]
Bug 509304 attachment 350245 [details] (/var/log/messages attachment 354197 [details])
Bug 511887 attachment 353830 [details]
Comment 12 Matěj Cepl 2009-11-05 13:25:33 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 Stanislaw Gruszka 2009-11-14 11:43:43 EST
Issue persist after F11 update on my laptop.

xorg-x11-drv-intel-2.7.0-7.fc11.i586
xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586
kernel-2.6.30.9-96.fc11.i586

Should I also test on F12 ?
Comment 14 Matěj Cepl 2009-11-14 14:41:56 EST
(In reply to comment #13)
> Should I also test on F12 ?  

It would be nice if you do, but you don't have to.
Comment 15 Stanislaw Gruszka 2009-11-17 15:45:56 EST
I can not reproduce the issue on F12 :)

Just for note, list of packages versions:
xorg-x11-drv-intel-2.9.1-1.fc12.i686
xorg-x11-server-common-1.7.1-7.fc12.i686
kernel-2.6.31.5-127.fc12.i686
Comment 16 Matěj Cepl 2009-11-18 15:34:52 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.